### Method

# Gtk.IconView.create_drag_icon

#### Declaration [src]

    GdkPaintable*
    gtk_icon_view_create_drag_icon (
      GtkIconView* icon_view,
      GtkTreePath* path
    )

#### Description [src]

Creates a #cairo_surface_t representation of the item at `path`. This image is used for a drag icon.

#### Parameters

`path` | `GtkTreePath`
| a `GtkTreePath` in `icon_view`
| Ownership is not transferred to the callee

#### Return value

Returns: `GdkPaintable*`
a newly-allocated surface of the drag icon.
Ownership of the data is transferred to the caller